import java.util.*;
import java.awt.*;
import java.awt.Image;
import javax.swing.ImageIcon;
import java.awt.geom.*;

public class PieceView {
    private Piece p;
    private Image img;
    private String dir_img = "src/";
    
    public PieceView (Piece piece){
      p=piece;
      String nombre = p.getClass().getName();
      Vector2D pos = p.getPosition();
      dir_img = "src/"+nombre+".png";
      ImageIcon i = new ImageIcon(dir_img);
      img = i.getImage();
    }
    
    public void update(Piece piece){   //Dibuja la pieza dependiendo de su nombre
      p=piece;
      String nombre = p.getClass().getName();
      Vector2D pos = p.getPosition();
      dir_img = "src/"+nombre+".png";
      ImageIcon i = new ImageIcon(dir_img);
      img = i.getImage();
    }
    public void draw(Graphics2D g) {   //Dibujar la iagen de la pieza en la posicion en la que se encuentre
       Vector2D pos = p.getPosition();
       //Piece p = (Piece) playable;
       g.drawImage(img, pos.getX(), pos.getY(), null);
       g.setColor(Color.BLUE);
       //Piece pi = (Piece) playable;
    }
 }